Transfers
curl --request GET \
--url https://api.allium.so/api/v1/developer/tokens/transfers \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.allium.so/api/v1/developer/tokens/transfers"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.allium.so/api/v1/developer/tokens/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"block_slot": 123,
"block_height": 123,
"block_timestamp": "2023-11-07T05:31:56Z",
"block_hash": "<string>",
"txn_id": "<string>",
"txn_index": 123,
"instruction_index": 123,
"inner_instruction_index": 123,
"from_account": "<string>",
"to_account": "<string>",
"from_token_account": "<string>",
"to_token_account": "<string>",
"mint": "<string>",
"value": 123,
"decimals": 123,
"signer": "<string>"
}
],
"cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Tokens
Fetch fungible token transfers
Provides transfer history for a single wallet
GET
/
api
/
v1
/
developer
/
tokens
/
transfers
Transfers
Supported Chains
Authorizations
Query Parameters
Chain to get transfers for.
Address to get transfers for.
Cursor to paginate results.
Limit the number of items in the response. Default is 15.
Required range:
x <= 100Exclude transfers for other tokens
Direction of the transfer. Defaults to 'any'. Can only be specified when using the address filter
Available options:
sent, received, any Exclude transfers before this time
Exclude transfers after this time
Direction to sort by
Available options:
asc, desc Was this page helpful?